%define realname evolution-sharp

Summary: .Net language bindings for Evolution
Name: lib%realname
Version: 0.21.1
Release: alt5
License: LGPLv2+
Group: Development/Other
URL: ftp://ftp.gnome.org/pub/gnome/sources/%realname/
Source: ftp://ftp.gnome.org/pub/gnome/sources/%realname/0.18/%name-%version.tar
Patch: %name-%version-%release.patch

BuildPreReq: mono-devel mono-mcs rpm-build-mono
BuildPreReq: evolution-data-server-devel >= 2.30.2
BuildPreReq: libgtk-sharp2-gapi 
BuildPreReq: libgtk-sharp2-devel >= 2.4.0

BuildRequires: gcc-c++  zlib-devel
BuildRequires: /proc

%description
.Net language bindings for Evolution

%package devel
Summary: .Net language bindings for Evolution: development files
Group: Development/Other
Requires: %name = %version-%release

%description devel
Evolution# is a .NET language binding for various Evolution
libraries.

%prep
%setup -q
%patch -p1

%build
./autogen.sh
%configure --disable-static
%make

%install
%make_install install DESTDIR=%buildroot

rm -f %buildroot%_libdir/*.{a,la}

%files
%doc README COPYING ChangeLog
%_monogacdir/*
%_monodir/evolution-sharp
%_libdir/*.so

%files devel
%_libdir/pkgconfig/*
%_datadir/gapi-2.0/*.xml

%changelog
* Mon Oct 11 2010 Alexey Shabalin <shaba@altlinux.ru> 0.21.1-alt5
- rebuild with evolution-data-server-2.32.0

* Wed Jun 23 2010 Alexey Shabalin <shaba@altlinux.ru> 0.21.1-alt4
- rebuild with evolution-data-server-2.30.2.1

* Sat Apr 03 2010 Alexey Shabalin <shaba@altlinux.ru> 0.21.1-alt3
- rebuild with evolution-data-server-2.30.0

* Tue Jan 12 2010 Alexey Shabalin <shaba@altlinux.ru> 0.21.1-alt2
- Stop setting an upper bound on the e-d-s version during configure.

* Mon Jul 06 2009 Alexey Shabalin <shaba@altlinux.ru> 0.21.1-alt1
- 0.21.1
- move pkgconfig files from main to devel package

* Tue Apr 07 2009 Alexey Shabalin <shaba@altlinux.ru> 0.20.0-alt1
- 0.20.0

* Thu Nov 27 2008 Alexey Shabalin <shaba@altlinux.ru> 0.18.1-alt1
- 0.18.1

* Tue Oct 07 2008 Alexey Shabalin <shaba@altlinux.ru> 0.18.0-alt1
- 0.18

* Sat May 03 2008 Alexey Shabalin <shaba@altlinux.ru> 0.16.1.1-alt1
- 0.16.1.1
- fixed upstream #519284 (ALT#15283) - beagled: double free or corruption 

* Tue Apr 22 2008 Alexey Shabalin <shaba@altlinux.ru> 0.16.1-alt1
- 0.16.1 to support 2.22.x stable releases of Evolution-Data-Server
- drop patch0 (fixed upstream #516044)

* Sat Mar 22 2008 Alexey Shabalin <shaba@altlinux.ru> 0.16.0-alt2
- fix build on x86_64 (patch0)

* Thu Mar 20 2008 Alexey Shabalin <shaba@altlinux.ru> 0.16.0-alt1
- 0.16.0

* Mon Nov 26 2007 Alexey Shabalin <shaba@altlinux.ru> 0.14.0.1-alt2
- add --disable-static to configure
- rebuild with new rpm-build-mono-1.2
- drop package devel

* Sun Oct 28 2007 Alexey Shabalin <shaba@altlinux.ru> 0.14.0.1-alt1
- 0.14.0.1

* Wed Sep 12 2007 Alexey Shabalin <shaba@altlinux.ru> 0.13.3-alt2
- fix patch1

* Tue Sep 11 2007 Alexey Shabalin <shaba@altlinux.ru> 0.13.3-alt1
- 0.13.3
- fix DLL mappings (patch1)

* Sat Jun 02 2007 Alexey Shabalin <shaba@altlinux.ru> 0.12.4-alt1
- 0.12.4

* Mon Feb 26 2007 Alexey Shabalin <shaba@altlinux.ru> 0.12.2-alt1
- 0.12.2
- drop patch (in upstream)

* Thu Nov 23 2006 Alexey Shabalin <shaba@altlinux.ru> 0.12.0-alt1
- 0.12.0
- fix mono dir install (patch)
- fix dir in %%files
- add rpm-build-mono in BuildRequire
- update BuildRequire
- remove %%set_verify_elf_method unresolved=relaxed

* Thu May 04 2006 Vital Khilko <vk@altlinux.ru> 0.10.2-alt2
- fix build for new evolution

* Tue Dec 20 2005 Vital Khilko <vk@altlinux.ru> 0.10.2-alt1
- 0.10.2

* Thu Sep 01 2005 Vital Khilko <vk@altlinux.ru> 0.10-alt1
- initial build for Sisyphus 

